#
# spec file for package perl-MooseX-Method-Signatures
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Method-Signatures
Version:        0.49
Release:        1.28
%define cpan_name MooseX-Method-Signatures
Summary:        (DEPRECATED) Method declarations with type constraints and no source filter
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Method-Signatures/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(B::Hooks::EndOfScope) >= 0.10
BuildRequires:  perl(Context::Preserve)
BuildRequires:  perl(Devel::Declare) >= 0.005011
BuildRequires:  perl(Devel::Declare::Context::Simple)
BuildRequires:  perl(Eval::Closure)
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Runtime) >= 0.012
BuildRequires:  perl(Moose) >= 0.89
BuildRequires:  perl(Moose::Meta::Class)
BuildRequires:  perl(Moose::Meta::Method)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::LazyRequire) >= 0.06
BuildRequires:  perl(MooseX::Meta::TypeConstraint::ForceCoercion)
BuildRequires:  perl(MooseX::Types) >= 0.35
BuildRequires:  perl(MooseX::Types::Moose) >= 0.19
BuildRequires:  perl(MooseX::Types::Structured) >= 0.24
BuildRequires:  perl(MooseX::Types::Util)
BuildRequires:  perl(Parse::Method::Signatures) >= 1.003014
BuildRequires:  perl(Parse::Method::Signatures::Param::Named)
BuildRequires:  perl(Parse::Method::Signatures::Param::Placeholder)
BuildRequires:  perl(Parse::Method::Signatures::TypeConstraint)
BuildRequires:  perl(Parse::Method::Signatures::Types)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.89
BuildRequires:  perl(aliased)
BuildRequires:  perl(metaclass)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(namespace::clean) >= 0.19
Requires:       perl(B::Hooks::EndOfScope) >= 0.10
Requires:       perl(Context::Preserve)
Requires:       perl(Devel::Declare) >= 0.005011
Requires:       perl(Devel::Declare::Context::Simple)
Requires:       perl(Eval::Closure)
Requires:       perl(Module::Runtime) >= 0.012
Requires:       perl(Moose) >= 0.89
Requires:       perl(Moose::Meta::Class)
Requires:       perl(Moose::Meta::Method)
Requires:       perl(Moose::Util)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(MooseX::LazyRequire) >= 0.06
Requires:       perl(MooseX::Meta::TypeConstraint::ForceCoercion)
Requires:       perl(MooseX::Types) >= 0.35
Requires:       perl(MooseX::Types::Moose) >= 0.19
Requires:       perl(MooseX::Types::Structured) >= 0.24
Requires:       perl(MooseX::Types::Util)
Requires:       perl(Parse::Method::Signatures) >= 1.003014
Requires:       perl(Parse::Method::Signatures::Param::Named)
Requires:       perl(Parse::Method::Signatures::Param::Placeholder)
Requires:       perl(Parse::Method::Signatures::TypeConstraint)
Requires:       perl(Parse::Method::Signatures::Types)
Requires:       perl(Sub::Name)
Requires:       perl(Task::Weaken)
Requires:       perl(aliased)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
Provides a proper method keyword, like "sub" but specifically for making
methods and validating their arguments against Moose type constraints.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENCE README

%changelog
* Sat Oct 10 2015 coolo@suse.com
- updated to 0.49
  see /usr/share/doc/packages/perl-MooseX-Method-Signatures/Changes
  0.49      2015-10-07 01:07:44Z
  - added x_deprecated to metadata
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.48
  see /usr/share/doc/packages/perl-MooseX-Method-Signatures/Changes
  0.48      2014-09-20 17:46:45Z
  - fix tests that fail on altered warning messages in perl 5.21.4 (see perl
    RT#121638)
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.47
  - update configure_requires checking in Makefile.PL, add CONTRIBUTING file
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.46
  - re-release with fixed compile test
  - removed use of deprecated Class::MOP::load_class
  - documentation reference added, pointing to the WARNING section in
    MooseX::Declare, regarding future utility of this module
  - repository migrated to the github moose organization
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.44
  * Fix broken test in 5.17.6, where hash ordering is now randomized
    (RT#81388, Karen Etheridge)
* Wed May 30 2012 coolo@suse.com
- updated to 0.43
  * Bump dependency on MooseX::Types to 0.35 to resolve issues with recent
    MooseX::Types releases.
  * Mark failing test due to Eval::Closure/Devel::Declare issues as TODO until
    things are fixed, to at least allow recent versions to install without
    errors.
  * Add explicit dependency on Eval::Closure, in an effort to get more
    diagnostics from failing cpantesters reports.  No functionality changes.
  * Loosen a regexp in a test, to handle the new format emitted by Carp 1.25.
  * The test suite now uses Test::Fatal instead of Test::Exception (Karen
    Etheridge).
  * Bump dependency on MooseX::Types::Structured to 0.24, which contains
    more detailed error messages as well as some performance enhancements.
  * Require B::Hooks::EndOfScope 0.10 and Module::Runtime 0.012, fixing various
    perl 5.8 breakages.
* Sun Dec 25 2011 coolo@suse.com
- update to 0.37
  * Don't look in the stash for traits or types that contain
* Thu Feb 17 2011 pascal.bleser@opensuse.org
- initial version (0.36)
